{
  stdenv,
  fetchFromGitHub,
}:
stdenv.mkDerivation {
  pname = "segoe-ui";
  version = "unstable-2024-05-16";

  src = fetchFromGitHub {
    owner = "mrbvrz";
    repo = "segoe-ui-linux";
    rev = "a89213b7136da6dd5c3638db1f2c6e814c40fa84";
    hash = "sha256-0KXfNu/J1/OUnj0jeQDnYgTdeAIHcV+M+vCPie6AZcU=";
  };

  installPhase = ''
    mkdir -p $out/share/fonts/truetype
    install -m644 $src/font/*.ttf $out/share/fonts/truetype/
  '';
}
